/*============================================================================

The Medical Imaging Interaction Toolkit (MITK)

Copyright (c) German Cancer Research Center (DKFZ)
All rights reserved.

Use of this source code is governed by a 3-clause BSD license that can be
found in the LICENSE file.

============================================================================*/

#include "berryWorkbenchPreferenceConstants.h"

#include <QString>

namespace berry
{

const QString WorkbenchPreferenceConstants::LINK_NAVIGATOR_TO_EDITOR =
    "LINK_NAVIGATOR_TO_EDITOR";
const QString WorkbenchPreferenceConstants::OPEN_NEW_PERSPECTIVE =
    "OPEN_NEW_PERSPECTIVE";
const QString WorkbenchPreferenceConstants::OPEN_PERSPECTIVE_WINDOW =
    "OPEN_PERSPECTIVE_WINDOW";
const QString WorkbenchPreferenceConstants::OPEN_PERSPECTIVE_PAGE =
    "OPEN_PERSPECTIVE_PAGE";
const QString WorkbenchPreferenceConstants::OPEN_PERSPECTIVE_REPLACE =
    "OPEN_PERSPECTIVE_REPLACE";
const QString WorkbenchPreferenceConstants::NO_NEW_PERSPECTIVE =
    "NO_NEW_PERSPECTIVE";
const QString WorkbenchPreferenceConstants::DEFAULT_PERSPECTIVE_ID =
    "defaultPerspectiveId";
const QString WorkbenchPreferenceConstants::PRESENTATION_FACTORY_ID =
    "presentationFactoryId";
const QString WorkbenchPreferenceConstants::DOCK_PERSPECTIVE_BAR =
    "DOCK_PERSPECTIVE_BAR";
const QString WorkbenchPreferenceConstants::PERSPECTIVE_BAR_SIZE =
    "PERSPECTIVE_BAR_SIZE";
const QString WorkbenchPreferenceConstants::INITIAL_FAST_VIEW_BAR_LOCATION =
    "initialFastViewBarLocation";
const QString WorkbenchPreferenceConstants::PREFERRED_SASH_LAYOUT =
    "preferredSashLayout";
const QString WorkbenchPreferenceConstants::TOP_RIGHT = "topRight";
const QString WorkbenchPreferenceConstants::TOP_LEFT = "topLeft";
const QString WorkbenchPreferenceConstants::LEFT = "left";
const QString WorkbenchPreferenceConstants::BOTTOM = "bottom";
const QString WorkbenchPreferenceConstants::RIGHT = "right";
const QString WorkbenchPreferenceConstants::SHOW_INTRO = "showIntro";
const QString WorkbenchPreferenceConstants::SHOW_TRADITIONAL_STYLE_TABS =
    "SHOW_TRADITIONAL_STYLE_TABS";
const QString WorkbenchPreferenceConstants::SHOW_TEXT_ON_PERSPECTIVE_BAR =
    "SHOW_TEXT_ON_PERSPECTIVE_BAR";
const QString WorkbenchPreferenceConstants::SHOW_OPEN_ON_PERSPECTIVE_BAR =
    "SHOW_OPEN_ON_PERSPECTIVE_BAR";
const QString WorkbenchPreferenceConstants::SHOW_OTHER_IN_PERSPECTIVE_MENU =
    "SHOW_OTHER_IN_PERSPECTIVE_MENU";
const QString WorkbenchPreferenceConstants::HELP_CONTENTS_ACTION_TEXT =
    "helpContentsActionText";
const QString WorkbenchPreferenceConstants::HELP_SEARCH_ACTION_TEXT =
    "helpSearchActionText";
const QString WorkbenchPreferenceConstants::DYNAMIC_HELP_ACTION_TEXT =
    "dynamicHelpActionText";
const QString WorkbenchPreferenceConstants::ENABLE_ANIMATIONS =
    "ENABLE_ANIMATIONS";
const QString WorkbenchPreferenceConstants::USE_COLORED_LABELS =
    "USE_COLORED_LABELS";
const QString WorkbenchPreferenceConstants::KEY_CONFIGURATION_ID =
    "KEY_CONFIGURATION_ID";
const QString WorkbenchPreferenceConstants::EDITOR_MINIMUM_CHARACTERS =
    "EDITOR_MINIMUM_CHARACTERS";
const QString WorkbenchPreferenceConstants::VIEW_MINIMUM_CHARACTERS =
    "VIEW_MINIMUM_CHARACTERS";
const QString WorkbenchPreferenceConstants::SHOW_SYSTEM_JOBS =
    "SHOW_SYSTEM_JOBS";
const QString WorkbenchPreferenceConstants::CURRENT_THEME_ID =
    "CURRENT_THEME_ID";
const QString WorkbenchPreferenceConstants::CLOSE_EDITORS_ON_EXIT =
    "CLOSE_EDITORS_ON_EXIT";
const QString WorkbenchPreferenceConstants::SHOW_PROGRESS_ON_STARTUP =
    "SHOW_PROGRESS_ON_STARTUP";
const QString WorkbenchPreferenceConstants::SHOW_MEMORY_MONITOR =
    "SHOW_MEMORY_MONITOR";
const QString
    WorkbenchPreferenceConstants::USE_WINDOW_WORKING_SET_BY_DEFAULT =
        "USE_WINDOW_WORKING_SET_BY_DEFAULT";
const QString WorkbenchPreferenceConstants::SHOW_FILTERED_TEXTS =
    "SHOW_FILTERED_TEXTS";
const QString WorkbenchPreferenceConstants::ENABLE_DETACHED_VIEWS =
    "ENABLE_DETACHED_VIEWS";
const QString
    WorkbenchPreferenceConstants::PROMPT_WHEN_SAVEABLE_STILL_OPEN =
        "PROMPT_WHEN_SAVEABLE_STILL_OPEN";
const QString WorkbenchPreferenceConstants::PERSPECTIVE_BAR_EXTRAS =
    "PERSPECTIVE_BAR_EXTRAS";
const QString WorkbenchPreferenceConstants::LOCK_TRIM = "LOCK_TRIM";
const QString WorkbenchPreferenceConstants::ENABLE_NEW_MIN_MAX =
    "ENABLE_MIN_MAX";
const QString WorkbenchPreferenceConstants::DISABLE_NEW_FAST_VIEW =
    "disableNewFastView";
const QString
    WorkbenchPreferenceConstants::ENABLE_32_STICKY_CLOSE_BEHAVIOR =
        "ENABLE_32_STICKY_CLOSE_BEHAVIOR";
const QString WorkbenchPreferenceConstants::VIEW_TAB_POSITION =
    "VIEW_TAB_POSITION";
const QString WorkbenchPreferenceConstants::EDITOR_TAB_POSITION =
    "EDITOR_TAB_POSITION";
const QString WorkbenchPreferenceConstants::SHOW_MULTIPLE_EDITOR_TABS =
    "SHOW_MULTIPLE_EDITOR_TABS";
const QString WorkbenchPreferenceConstants::DISABLE_OPEN_EDITOR_IN_PLACE =
    "DISABLE_OPEN_EDITOR_IN_PLACE";

}
